'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _cli = require('../../../../cli');

var route = function route(req, res, next) {
  _cli.abeExtend.hooks.instance.trigger('beforeRoute', req, res, next);
  if (typeof res._header !== 'undefined' && res._header !== null) return;

  var regUrl = /\/abe\/save\/(.*?)\/edit\//;
  var workflow = 'draft';
  var match = req.originalUrl.match(regUrl);
  if (match != null && match[1] != null) {
    workflow = match[1];
  }
  var postUrl = req.originalUrl.replace(regUrl, '');
  var json = req.body.json;

  var p;
  if (workflow === 'publish') {
    p = _cli.cmsOperations.post.publish(postUrl, json);
  } else {
    p = _cli.cmsOperations.post.draft(postUrl, json, workflow);
  }

  p.then(function (result) {
    res.set('Content-Type', 'application/json');
    res.send(JSON.stringify(result));
  }, function (result) {
    res.set('Content-Type', 'application/json');
    res.send(JSON.stringify(result));
  }).catch(function (e) {
    console.error('[ERROR] post-reject.js', e);
  });
};

exports.default = route;